#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# Define Git Repo related Variables.
# Globals:
#   VAR_GIT_HEAD
#   VAR_GIT_REL
#   VAR_GIT_REL_DATE
#   VAR_GIT_REL_DATE_TIME
#   VAR_GIT_REL_SHORT
# Arguments:
#   None
#######################################
check_git() {
  # shellcheck disable=SC2155
  if git rev-parse --is-inside-work-tree &>/dev/null; then
    declare -grx VAR_GIT_REL="$(git log --format='%h %ci' -1 2>/dev/null | awk '{ print $1" "$2" "$3 }')"
    declare -grx VAR_GIT_REL_SHORT="${VAR_GIT_REL%% *}"
    declare -grx VAR_GIT_REL_DATE_TIME="${VAR_GIT_REL#* }"
    declare -grx VAR_GIT_REL_DATE="${VAR_GIT_REL_DATE_TIME% *}"
    declare -grx VAR_GIT_HEAD="$(git rev-parse HEAD)"
  fi
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
